#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 quickcheck-classes
version:              0.6.5.0
visibility:           public
id:                   quickcheck-classes-0.6.5.0-Db8vpiGzZm18LKIFWyl37W
key:                  quickcheck-classes-0.6.5.0-Db8vpiGzZm18LKIFWyl37W
license:              BSD-3-Clause
copyright:            2018 Andrew Martin
maintainer:           andrew.thaddeus@gmail.com
author:               Andrew Martin, chessai
homepage:             https://github.com/andrewthad/quickcheck-classes#readme
synopsis:             QuickCheck common typeclasses
description:
    This library provides QuickCheck properties to ensure
    that typeclass instances adhere to the set of laws that
    they are supposed to. There are other libraries that do
    similar things, such as `genvalidity-hspec` and `checkers`.
    This library differs from other solutions by not introducing
    any new typeclasses that the user needs to learn.

    /Note:/ on GHC < 8.5, this library uses the higher-kinded typeclasses
    ('\''Data.Functor.Classes.Show1'\'', '\''Data.Functor.Classes.Eq1'\'', '\''Data.Functor.Classes.Ord1'\'', etc.),
    but on GHC >= 8.5, it uses `-XQuantifiedConstraints` to express these
    constraints more cleanly.

category:             Testing
abi:                  106e8ecbc965a398945f836199de25a0
exposed:              True
exposed-modules:
    Test.QuickCheck.Classes Test.QuickCheck.Classes.IsList

hidden-modules:
    Test.QuickCheck.Classes.Alt Test.QuickCheck.Classes.Apply
    Test.QuickCheck.Classes.Euclidean Test.QuickCheck.Classes.Json
    Test.QuickCheck.Classes.MVector Test.QuickCheck.Classes.Plus
    Test.QuickCheck.Classes.Prim Test.QuickCheck.Classes.Semigroupoid
    Test.QuickCheck.Classes.Semiring Test.QuickCheck.Classes.Ring

import-dirs:          /usr/lib/ghc-9.0.2/site-local/quickcheck-classes-0.6.5.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/quickcheck-classes-0.6.5.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-quickcheck-classes
hs-libraries:         HSquickcheck-classes-0.6.5.0-Db8vpiGzZm18LKIFWyl37W
depends:
    QuickCheck-2.14.2-5toH1Vv8ZxxIieqfaLz1c3
    aeson-1.5.6.0-CXf7LknqfgZ2Hfi5jmQpYM base-4.15.1.0
    containers-0.6.4.1 primitive-0.7.4.0-5JlbNIYTeCwFwdVF07wEKE
    primitive-addr-0.1.0.2-Iln7HwHkWPG8MUx2tf6GXh
    quickcheck-classes-base-0.6.2.0-6s169lIw2wmLSghshExHaq
    semigroupoids-5.3.7-JGZb7jmMlzC63uUgrpZIZX
    semirings-0.6-HM9ok1Jzu8FHvNGWyMu5wj transformers-0.5.6.2
    vector-0.12.3.1-50x5zOQFZ1CIL15Y9vpvyM

haddock-interfaces:
    /usr/share/doc/haskell-quickcheck-classes/html/quickcheck-classes.haddock

haddock-html:         /usr/share/doc/haskell-quickcheck-classes/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

